Subject: bug#19070: 25.0.50; Provide a user option that filters the buffer list for `switch-to-next-buffer'

From: Drew Adams <[email-masked]>
Date: Thu, 12 May 2022 16:02:49 +0000

> > Provide a user option with a regexp value that filters the buffers (by
> > name) that are cycled through by `next-buffer' and `previous-buffer'.
> > Buffer names matching the regexp would be excluded.
> 
> Emacs 27.1 added switch-to-prev-buffer-skip, but didn't include a
> simple regexp form, and I agree that such a simple form is usually what people
> want.  (I know you can achieve some of this stuff by making windows
> dedicated, too, but that's another complication.)
> 
> > Or the option could be a cons, with one part determining whether the
> > regexp is used to exclude or include and the other part being the
> > regexp.
> 
> I see the charm, but for complex setups like that, I think using
> dedicated windows would be the thing.
> 
> So I've now added switch-to-prev-buffer-skip-regexp to Emacs 29.

Did you respect this part?

  The default value should not exclude any buffers.